project_status: Get the quality gate status of a project or a Compute Engine task

API: sonarcloud.io:sonarqube
Endpoint: /api/qualitygates/project_status
Response format: application/json
Auth: unknown
Method: GET
Last Status: 400
Latency: 177ms

Description

Get the quality gate status of a project or a Compute Engine task. Either 'analysisId', 'projectId' or 'projectKey' must be provided The different statuses returned are: OK, WARN, ERROR, NONE. The NONE status is returned when there is no quality gate associated with the analysis. Returns an HTTP code 404 if the analysis associated with the task is not found or does not exist. Requires one of the following permissions: - 'Administer' rights on the specified project- 'Browse' on the specified proj

Parameters (5)

analysisId (string, query, optional)

Analysis id

branch (string, query, optional)

Branch key

projectId (string, query, optional)

Project id. Doesn't work with branches or pull requests

projectKey (string, query, optional)

Project key

pullRequest (string, query, optional)

Pull request id

Examples (1)

Get the quality gate status of a project or a Compute Engine task openapi-spec
curl 'https://sonarcloud.io/api/qualitygates/project_status?analysisId=AU-TpxcA-iU5OvuD2FL1&branch=feature%2Fmy_branch&projectId=AU-Tpxb--iU5OvuD2FLy&projectKey=my_project&pullRequest=5461'
import requests

resp = requests.get(
    "https://sonarcloud.io/api/qualitygates/project_status",
    params={
        'analysisId': 'AU-TpxcA-iU5OvuD2FL1',
        'branch': 'feature/my_branch',
        'projectId': 'AU-Tpxb--iU5OvuD2FLy',
        'projectKey': 'my_project',
        'pullRequest': '5461',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("sonarqube")
result = api.fetch("api/qualitygates/project_status", analysisId="AU-TpxcA-iU5OvuD2FL1", branch="feature/my_branch", projectId="AU-Tpxb--iU5OvuD2FLy", projectKey="my_project", pullRequest=5461)

for item in result:
    print(item)
const resp = await fetch("https://sonarcloud.io/api/qualitygates/project_status?analysisId=AU-TpxcA-iU5OvuD2FL1&branch=feature%2Fmy_branch&projectId=AU-Tpxb--iU5OvuD2FLy&projectKey=my_project&pullRequest=5461");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:47:40.319413 400 177ms
2026-04-15 00:59:41.718773 400 145ms
2026-04-14 02:33:21.040298 400 138ms
2026-04-12 16:01:45.416898 400 137ms
2026-04-10 04:12:05.827212 400 466ms
2026-04-09 03:23:20.691857 400 122ms